using DataFrames
using Statistics
using LinearAlgebra
using LaTeXStrings
using Random
using PyPlot

include("to_one_hot.jl")
include("readclassjson.jl")
Random.seed!(1)

function RMSE(y_hat, y)
    return norm(y-y_hat)/sqrt(length(y_hat))
end

all_data = readclassjson("prostate_cancer_data.json")
X = all_data["U"]
y = all_data["v"]

# Re-order the observations
r_idx = randperm(size(X, 1))

X = X[r_idx, :]
y = y[r_idx]

d = size(X, 2)+1
n = size(X, 1)

n_train = 70
n_test = n - n_train
