using Random
using LinearAlgebra
using Statistics
using Plots

include("readclassjson.jl")
Random.seed!(1)

function RMSE(y_hat, y)
    return norm(y-y_hat)/sqrt(length(y_hat))
end

data = readclassjson("wildfire_data.json")
lambds = 10 .^ range(-1, stop=5, length=100)

U = data["U"]
v = data["v"]

# randomly split into 80/20
n = size(v)[1]
idx = shuffle(1:n)
n_train = Int(round(.8*n))

U_train = U[idx[1:n_train],:]
U_test = U[idx[n_train:end],:]
print("Size U train/test ", size(U_train), size(U_test))

v_train = v[idx[1:n_train],:]
v_test = v[idx[n_train:end],:]

U_months_train = U_train[:,3]
U_months_test = U_test[:,3]
# Done partitioning data.
